<div class="register">
  <h2>Inscription</h2>
  <form [formGroup]="registerForm" id="registerForm" (ngSubmit)="onSubmit()">
    <div class="item-form">
      <label>Prénom*</label>
      <div class="input-container">
        <input type="text"
               placeholder="Prénom"
               formControlName="name">
        <div class="errors" *ngIf="registerForm.controls.name.touched">
          <p *ngIf="registerForm.controls.name.errors?.['required'] && registerForm.controls.name.dirty">
            Merci de préciser un prénom
          </p>
          <p *ngIf="registerForm.controls.name.errors?.['minlength']">
            Prénom trop court
          </p>
        </div>

      </div>
    </div>

    <div class="item-form">
      <label>Email*</label>
      <div class="input-container">
        <input type="email"
               placeholder="Email"
               formControlName="email">
        <div class="errors" *ngIf="registerForm.controls.email.touched">
          <p *ngIf="registerForm.controls.email.errors?.['required'] && registerForm.controls.email.dirty">
            Merci de préciser un email
          </p>
          <p *ngIf="registerForm.controls.email.errors?.['pattern']">
            Format du mail incorrect
          </p>
        </div>
      </div>
    </div>

    <div class="item-form">
      <label>Mot de passe*</label>
      <div class="input-container">
        <input type="password"
               placeholder="Mot de passe"
               formControlName="password">
        <div class="errors" *ngIf="registerForm.controls.password.touched">
          <p *ngIf="registerForm.controls.password.errors?.['required'] && registerForm.controls.password.dirty">
            Merci de préciser un mot de passe
          </p>
          <p *ngIf="registerForm.controls.password.errors?.['minlength']">
            Le mot de passe doit comporter 6 caractères minimum
          </p>
        </div>
      </div>
    </div>

    <div class="actions">
      <button [disabled]="!registerForm.valid">Inscription</button>
    </div>
  </form>
</div>
